Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network62.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
62.64.0.0
Broadcast address
62.127.255.255
First usable
62.64.0.1
Last usable
62.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 3E400000 · Integer 1044381696 to 1048575999
Reverse DNS zones
64.62.in-addr.arpa
65.62.in-addr.arpa
66.62.in-addr.arpa
67.62.in-addr.arpa
68.62.in-addr.arpa
69.62.in-addr.arpa
70.62.in-addr.arpa
71.62.in-addr.arpa
72.62.in-addr.arpa
73.62.in-addr.arpa
74.62.in-addr.arpa
75.62.in-addr.arpa
76.62.in-addr.arpa
77.62.in-addr.arpa
78.62.in-addr.arpa
79.62.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111110.01000000.00000000.0000000062.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00111110.01000000.00000000.0000000062.64.0.0
Broadcast00111110.01111111.11111111.1111111162.127.255.255
Split into smaller subnets/18

62.64.0.0/10 makes 256 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
162.64.0.0/1862.64.0.1 to 62.64.63.25462.64.63.25516,382
262.64.64.0/1862.64.64.1 to 62.64.127.25462.64.127.25516,382
362.64.128.0/1862.64.128.1 to 62.64.191.25462.64.191.25516,382
462.64.192.0/1862.64.192.1 to 62.64.255.25462.64.255.25516,382
562.65.0.0/1862.65.0.1 to 62.65.63.25462.65.63.25516,382
662.65.64.0/1862.65.64.1 to 62.65.127.25462.65.127.25516,382
762.65.128.0/1862.65.128.1 to 62.65.191.25462.65.191.25516,382
862.65.192.0/1862.65.192.1 to 62.65.255.25462.65.255.25516,382
962.66.0.0/1862.66.0.1 to 62.66.63.25462.66.63.25516,382
1062.66.64.0/1862.66.64.1 to 62.66.127.25462.66.127.25516,382
1162.66.128.0/1862.66.128.1 to 62.66.191.25462.66.191.25516,382
1262.66.192.0/1862.66.192.1 to 62.66.255.25462.66.255.25516,382
1362.67.0.0/1862.67.0.1 to 62.67.63.25462.67.63.25516,382
1462.67.64.0/1862.67.64.1 to 62.67.127.25462.67.127.25516,382
1562.67.128.0/1862.67.128.1 to 62.67.191.25462.67.191.25516,382
1662.67.192.0/1862.67.192.1 to 62.67.255.25462.67.255.25516,382
1762.68.0.0/1862.68.0.1 to 62.68.63.25462.68.63.25516,382
1862.68.64.0/1862.68.64.1 to 62.68.127.25462.68.127.25516,382
1962.68.128.0/1862.68.128.1 to 62.68.191.25462.68.191.25516,382
2062.68.192.0/1862.68.192.1 to 62.68.255.25462.68.255.25516,382
2162.69.0.0/1862.69.0.1 to 62.69.63.25462.69.63.25516,382
2262.69.64.0/1862.69.64.1 to 62.69.127.25462.69.127.25516,382
2362.69.128.0/1862.69.128.1 to 62.69.191.25462.69.191.25516,382
2462.69.192.0/1862.69.192.1 to 62.69.255.25462.69.255.25516,382
2562.70.0.0/1862.70.0.1 to 62.70.63.25462.70.63.25516,382
2662.70.64.0/1862.70.64.1 to 62.70.127.25462.70.127.25516,382
2762.70.128.0/1862.70.128.1 to 62.70.191.25462.70.191.25516,382
2862.70.192.0/1862.70.192.1 to 62.70.255.25462.70.255.25516,382
2962.71.0.0/1862.71.0.1 to 62.71.63.25462.71.63.25516,382
3062.71.64.0/1862.71.64.1 to 62.71.127.25462.71.127.25516,382
3162.71.128.0/1862.71.128.1 to 62.71.191.25462.71.191.25516,382
3262.71.192.0/1862.71.192.1 to 62.71.255.25462.71.255.25516,382
3362.72.0.0/1862.72.0.1 to 62.72.63.25462.72.63.25516,382
3462.72.64.0/1862.72.64.1 to 62.72.127.25462.72.127.25516,382
3562.72.128.0/1862.72.128.1 to 62.72.191.25462.72.191.25516,382
3662.72.192.0/1862.72.192.1 to 62.72.255.25462.72.255.25516,382
3762.73.0.0/1862.73.0.1 to 62.73.63.25462.73.63.25516,382
3862.73.64.0/1862.73.64.1 to 62.73.127.25462.73.127.25516,382
3962.73.128.0/1862.73.128.1 to 62.73.191.25462.73.191.25516,382
4062.73.192.0/1862.73.192.1 to 62.73.255.25462.73.255.25516,382
4162.74.0.0/1862.74.0.1 to 62.74.63.25462.74.63.25516,382
4262.74.64.0/1862.74.64.1 to 62.74.127.25462.74.127.25516,382
4362.74.128.0/1862.74.128.1 to 62.74.191.25462.74.191.25516,382
4462.74.192.0/1862.74.192.1 to 62.74.255.25462.74.255.25516,382
4562.75.0.0/1862.75.0.1 to 62.75.63.25462.75.63.25516,382
4662.75.64.0/1862.75.64.1 to 62.75.127.25462.75.127.25516,382
4762.75.128.0/1862.75.128.1 to 62.75.191.25462.75.191.25516,382
4862.75.192.0/1862.75.192.1 to 62.75.255.25462.75.255.25516,382
4962.76.0.0/1862.76.0.1 to 62.76.63.25462.76.63.25516,382
5062.76.64.0/1862.76.64.1 to 62.76.127.25462.76.127.25516,382
5162.76.128.0/1862.76.128.1 to 62.76.191.25462.76.191.25516,382
5262.76.192.0/1862.76.192.1 to 62.76.255.25462.76.255.25516,382
5362.77.0.0/1862.77.0.1 to 62.77.63.25462.77.63.25516,382
5462.77.64.0/1862.77.64.1 to 62.77.127.25462.77.127.25516,382
5562.77.128.0/1862.77.128.1 to 62.77.191.25462.77.191.25516,382
5662.77.192.0/1862.77.192.1 to 62.77.255.25462.77.255.25516,382
5762.78.0.0/1862.78.0.1 to 62.78.63.25462.78.63.25516,382
5862.78.64.0/1862.78.64.1 to 62.78.127.25462.78.127.25516,382
5962.78.128.0/1862.78.128.1 to 62.78.191.25462.78.191.25516,382
6062.78.192.0/1862.78.192.1 to 62.78.255.25462.78.255.25516,382
6162.79.0.0/1862.79.0.1 to 62.79.63.25462.79.63.25516,382
6262.79.64.0/1862.79.64.1 to 62.79.127.25462.79.127.25516,382
6362.79.128.0/1862.79.128.1 to 62.79.191.25462.79.191.25516,382
6462.79.192.0/1862.79.192.1 to 62.79.255.25462.79.255.25516,382
6562.80.0.0/1862.80.0.1 to 62.80.63.25462.80.63.25516,382
6662.80.64.0/1862.80.64.1 to 62.80.127.25462.80.127.25516,382
6762.80.128.0/1862.80.128.1 to 62.80.191.25462.80.191.25516,382
6862.80.192.0/1862.80.192.1 to 62.80.255.25462.80.255.25516,382
6962.81.0.0/1862.81.0.1 to 62.81.63.25462.81.63.25516,382
7062.81.64.0/1862.81.64.1 to 62.81.127.25462.81.127.25516,382
7162.81.128.0/1862.81.128.1 to 62.81.191.25462.81.191.25516,382
7262.81.192.0/1862.81.192.1 to 62.81.255.25462.81.255.25516,382
7362.82.0.0/1862.82.0.1 to 62.82.63.25462.82.63.25516,382
7462.82.64.0/1862.82.64.1 to 62.82.127.25462.82.127.25516,382
7562.82.128.0/1862.82.128.1 to 62.82.191.25462.82.191.25516,382
7662.82.192.0/1862.82.192.1 to 62.82.255.25462.82.255.25516,382
7762.83.0.0/1862.83.0.1 to 62.83.63.25462.83.63.25516,382
7862.83.64.0/1862.83.64.1 to 62.83.127.25462.83.127.25516,382
7962.83.128.0/1862.83.128.1 to 62.83.191.25462.83.191.25516,382
8062.83.192.0/1862.83.192.1 to 62.83.255.25462.83.255.25516,382
8162.84.0.0/1862.84.0.1 to 62.84.63.25462.84.63.25516,382
8262.84.64.0/1862.84.64.1 to 62.84.127.25462.84.127.25516,382
8362.84.128.0/1862.84.128.1 to 62.84.191.25462.84.191.25516,382
8462.84.192.0/1862.84.192.1 to 62.84.255.25462.84.255.25516,382
8562.85.0.0/1862.85.0.1 to 62.85.63.25462.85.63.25516,382
8662.85.64.0/1862.85.64.1 to 62.85.127.25462.85.127.25516,382
8762.85.128.0/1862.85.128.1 to 62.85.191.25462.85.191.25516,382
8862.85.192.0/1862.85.192.1 to 62.85.255.25462.85.255.25516,382
8962.86.0.0/1862.86.0.1 to 62.86.63.25462.86.63.25516,382
9062.86.64.0/1862.86.64.1 to 62.86.127.25462.86.127.25516,382
9162.86.128.0/1862.86.128.1 to 62.86.191.25462.86.191.25516,382
9262.86.192.0/1862.86.192.1 to 62.86.255.25462.86.255.25516,382
9362.87.0.0/1862.87.0.1 to 62.87.63.25462.87.63.25516,382
9462.87.64.0/1862.87.64.1 to 62.87.127.25462.87.127.25516,382
9562.87.128.0/1862.87.128.1 to 62.87.191.25462.87.191.25516,382
9662.87.192.0/1862.87.192.1 to 62.87.255.25462.87.255.25516,382
9762.88.0.0/1862.88.0.1 to 62.88.63.25462.88.63.25516,382
9862.88.64.0/1862.88.64.1 to 62.88.127.25462.88.127.25516,382
9962.88.128.0/1862.88.128.1 to 62.88.191.25462.88.191.25516,382
10062.88.192.0/1862.88.192.1 to 62.88.255.25462.88.255.25516,382
10162.89.0.0/1862.89.0.1 to 62.89.63.25462.89.63.25516,382
10262.89.64.0/1862.89.64.1 to 62.89.127.25462.89.127.25516,382
10362.89.128.0/1862.89.128.1 to 62.89.191.25462.89.191.25516,382
10462.89.192.0/1862.89.192.1 to 62.89.255.25462.89.255.25516,382
10562.90.0.0/1862.90.0.1 to 62.90.63.25462.90.63.25516,382
10662.90.64.0/1862.90.64.1 to 62.90.127.25462.90.127.25516,382
10762.90.128.0/1862.90.128.1 to 62.90.191.25462.90.191.25516,382
10862.90.192.0/1862.90.192.1 to 62.90.255.25462.90.255.25516,382
10962.91.0.0/1862.91.0.1 to 62.91.63.25462.91.63.25516,382
11062.91.64.0/1862.91.64.1 to 62.91.127.25462.91.127.25516,382
11162.91.128.0/1862.91.128.1 to 62.91.191.25462.91.191.25516,382
11262.91.192.0/1862.91.192.1 to 62.91.255.25462.91.255.25516,382
11362.92.0.0/1862.92.0.1 to 62.92.63.25462.92.63.25516,382
11462.92.64.0/1862.92.64.1 to 62.92.127.25462.92.127.25516,382
11562.92.128.0/1862.92.128.1 to 62.92.191.25462.92.191.25516,382
11662.92.192.0/1862.92.192.1 to 62.92.255.25462.92.255.25516,382
11762.93.0.0/1862.93.0.1 to 62.93.63.25462.93.63.25516,382
11862.93.64.0/1862.93.64.1 to 62.93.127.25462.93.127.25516,382
11962.93.128.0/1862.93.128.1 to 62.93.191.25462.93.191.25516,382
12062.93.192.0/1862.93.192.1 to 62.93.255.25462.93.255.25516,382
12162.94.0.0/1862.94.0.1 to 62.94.63.25462.94.63.25516,382
12262.94.64.0/1862.94.64.1 to 62.94.127.25462.94.127.25516,382
12362.94.128.0/1862.94.128.1 to 62.94.191.25462.94.191.25516,382
12462.94.192.0/1862.94.192.1 to 62.94.255.25462.94.255.25516,382
12562.95.0.0/1862.95.0.1 to 62.95.63.25462.95.63.25516,382
12662.95.64.0/1862.95.64.1 to 62.95.127.25462.95.127.25516,382
12762.95.128.0/1862.95.128.1 to 62.95.191.25462.95.191.25516,382
12862.95.192.0/1862.95.192.1 to 62.95.255.25462.95.255.25516,382
12962.96.0.0/1862.96.0.1 to 62.96.63.25462.96.63.25516,382
13062.96.64.0/1862.96.64.1 to 62.96.127.25462.96.127.25516,382
13162.96.128.0/1862.96.128.1 to 62.96.191.25462.96.191.25516,382
13262.96.192.0/1862.96.192.1 to 62.96.255.25462.96.255.25516,382
13362.97.0.0/1862.97.0.1 to 62.97.63.25462.97.63.25516,382
13462.97.64.0/1862.97.64.1 to 62.97.127.25462.97.127.25516,382
13562.97.128.0/1862.97.128.1 to 62.97.191.25462.97.191.25516,382
13662.97.192.0/1862.97.192.1 to 62.97.255.25462.97.255.25516,382
13762.98.0.0/1862.98.0.1 to 62.98.63.25462.98.63.25516,382
13862.98.64.0/1862.98.64.1 to 62.98.127.25462.98.127.25516,382
13962.98.128.0/1862.98.128.1 to 62.98.191.25462.98.191.25516,382
14062.98.192.0/1862.98.192.1 to 62.98.255.25462.98.255.25516,382
14162.99.0.0/1862.99.0.1 to 62.99.63.25462.99.63.25516,382
14262.99.64.0/1862.99.64.1 to 62.99.127.25462.99.127.25516,382
14362.99.128.0/1862.99.128.1 to 62.99.191.25462.99.191.25516,382
14462.99.192.0/1862.99.192.1 to 62.99.255.25462.99.255.25516,382
14562.100.0.0/1862.100.0.1 to 62.100.63.25462.100.63.25516,382
14662.100.64.0/1862.100.64.1 to 62.100.127.25462.100.127.25516,382
14762.100.128.0/1862.100.128.1 to 62.100.191.25462.100.191.25516,382
14862.100.192.0/1862.100.192.1 to 62.100.255.25462.100.255.25516,382
14962.101.0.0/1862.101.0.1 to 62.101.63.25462.101.63.25516,382
15062.101.64.0/1862.101.64.1 to 62.101.127.25462.101.127.25516,382
15162.101.128.0/1862.101.128.1 to 62.101.191.25462.101.191.25516,382
15262.101.192.0/1862.101.192.1 to 62.101.255.25462.101.255.25516,382
15362.102.0.0/1862.102.0.1 to 62.102.63.25462.102.63.25516,382
15462.102.64.0/1862.102.64.1 to 62.102.127.25462.102.127.25516,382
15562.102.128.0/1862.102.128.1 to 62.102.191.25462.102.191.25516,382
15662.102.192.0/1862.102.192.1 to 62.102.255.25462.102.255.25516,382
15762.103.0.0/1862.103.0.1 to 62.103.63.25462.103.63.25516,382
15862.103.64.0/1862.103.64.1 to 62.103.127.25462.103.127.25516,382
15962.103.128.0/1862.103.128.1 to 62.103.191.25462.103.191.25516,382
16062.103.192.0/1862.103.192.1 to 62.103.255.25462.103.255.25516,382
16162.104.0.0/1862.104.0.1 to 62.104.63.25462.104.63.25516,382
16262.104.64.0/1862.104.64.1 to 62.104.127.25462.104.127.25516,382
16362.104.128.0/1862.104.128.1 to 62.104.191.25462.104.191.25516,382
16462.104.192.0/1862.104.192.1 to 62.104.255.25462.104.255.25516,382
16562.105.0.0/1862.105.0.1 to 62.105.63.25462.105.63.25516,382
16662.105.64.0/1862.105.64.1 to 62.105.127.25462.105.127.25516,382
16762.105.128.0/1862.105.128.1 to 62.105.191.25462.105.191.25516,382
16862.105.192.0/1862.105.192.1 to 62.105.255.25462.105.255.25516,382
16962.106.0.0/1862.106.0.1 to 62.106.63.25462.106.63.25516,382
17062.106.64.0/1862.106.64.1 to 62.106.127.25462.106.127.25516,382
17162.106.128.0/1862.106.128.1 to 62.106.191.25462.106.191.25516,382
17262.106.192.0/1862.106.192.1 to 62.106.255.25462.106.255.25516,382
17362.107.0.0/1862.107.0.1 to 62.107.63.25462.107.63.25516,382
17462.107.64.0/1862.107.64.1 to 62.107.127.25462.107.127.25516,382
17562.107.128.0/1862.107.128.1 to 62.107.191.25462.107.191.25516,382
17662.107.192.0/1862.107.192.1 to 62.107.255.25462.107.255.25516,382
17762.108.0.0/1862.108.0.1 to 62.108.63.25462.108.63.25516,382
17862.108.64.0/1862.108.64.1 to 62.108.127.25462.108.127.25516,382
17962.108.128.0/1862.108.128.1 to 62.108.191.25462.108.191.25516,382
18062.108.192.0/1862.108.192.1 to 62.108.255.25462.108.255.25516,382
18162.109.0.0/1862.109.0.1 to 62.109.63.25462.109.63.25516,382
18262.109.64.0/1862.109.64.1 to 62.109.127.25462.109.127.25516,382
18362.109.128.0/1862.109.128.1 to 62.109.191.25462.109.191.25516,382
18462.109.192.0/1862.109.192.1 to 62.109.255.25462.109.255.25516,382
18562.110.0.0/1862.110.0.1 to 62.110.63.25462.110.63.25516,382
18662.110.64.0/1862.110.64.1 to 62.110.127.25462.110.127.25516,382
18762.110.128.0/1862.110.128.1 to 62.110.191.25462.110.191.25516,382
18862.110.192.0/1862.110.192.1 to 62.110.255.25462.110.255.25516,382
18962.111.0.0/1862.111.0.1 to 62.111.63.25462.111.63.25516,382
19062.111.64.0/1862.111.64.1 to 62.111.127.25462.111.127.25516,382
19162.111.128.0/1862.111.128.1 to 62.111.191.25462.111.191.25516,382
19262.111.192.0/1862.111.192.1 to 62.111.255.25462.111.255.25516,382
19362.112.0.0/1862.112.0.1 to 62.112.63.25462.112.63.25516,382
19462.112.64.0/1862.112.64.1 to 62.112.127.25462.112.127.25516,382
19562.112.128.0/1862.112.128.1 to 62.112.191.25462.112.191.25516,382
19662.112.192.0/1862.112.192.1 to 62.112.255.25462.112.255.25516,382
19762.113.0.0/1862.113.0.1 to 62.113.63.25462.113.63.25516,382
19862.113.64.0/1862.113.64.1 to 62.113.127.25462.113.127.25516,382
19962.113.128.0/1862.113.128.1 to 62.113.191.25462.113.191.25516,382
20062.113.192.0/1862.113.192.1 to 62.113.255.25462.113.255.25516,382
20162.114.0.0/1862.114.0.1 to 62.114.63.25462.114.63.25516,382
20262.114.64.0/1862.114.64.1 to 62.114.127.25462.114.127.25516,382
20362.114.128.0/1862.114.128.1 to 62.114.191.25462.114.191.25516,382
20462.114.192.0/1862.114.192.1 to 62.114.255.25462.114.255.25516,382
20562.115.0.0/1862.115.0.1 to 62.115.63.25462.115.63.25516,382
20662.115.64.0/1862.115.64.1 to 62.115.127.25462.115.127.25516,382
20762.115.128.0/1862.115.128.1 to 62.115.191.25462.115.191.25516,382
20862.115.192.0/1862.115.192.1 to 62.115.255.25462.115.255.25516,382
20962.116.0.0/1862.116.0.1 to 62.116.63.25462.116.63.25516,382
21062.116.64.0/1862.116.64.1 to 62.116.127.25462.116.127.25516,382
21162.116.128.0/1862.116.128.1 to 62.116.191.25462.116.191.25516,382
21262.116.192.0/1862.116.192.1 to 62.116.255.25462.116.255.25516,382
21362.117.0.0/1862.117.0.1 to 62.117.63.25462.117.63.25516,382
21462.117.64.0/1862.117.64.1 to 62.117.127.25462.117.127.25516,382
21562.117.128.0/1862.117.128.1 to 62.117.191.25462.117.191.25516,382
21662.117.192.0/1862.117.192.1 to 62.117.255.25462.117.255.25516,382
21762.118.0.0/1862.118.0.1 to 62.118.63.25462.118.63.25516,382
21862.118.64.0/1862.118.64.1 to 62.118.127.25462.118.127.25516,382
21962.118.128.0/1862.118.128.1 to 62.118.191.25462.118.191.25516,382
22062.118.192.0/1862.118.192.1 to 62.118.255.25462.118.255.25516,382
22162.119.0.0/1862.119.0.1 to 62.119.63.25462.119.63.25516,382
22262.119.64.0/1862.119.64.1 to 62.119.127.25462.119.127.25516,382
22362.119.128.0/1862.119.128.1 to 62.119.191.25462.119.191.25516,382
22462.119.192.0/1862.119.192.1 to 62.119.255.25462.119.255.25516,382
22562.120.0.0/1862.120.0.1 to 62.120.63.25462.120.63.25516,382
22662.120.64.0/1862.120.64.1 to 62.120.127.25462.120.127.25516,382
22762.120.128.0/1862.120.128.1 to 62.120.191.25462.120.191.25516,382
22862.120.192.0/1862.120.192.1 to 62.120.255.25462.120.255.25516,382
22962.121.0.0/1862.121.0.1 to 62.121.63.25462.121.63.25516,382
23062.121.64.0/1862.121.64.1 to 62.121.127.25462.121.127.25516,382
23162.121.128.0/1862.121.128.1 to 62.121.191.25462.121.191.25516,382
23262.121.192.0/1862.121.192.1 to 62.121.255.25462.121.255.25516,382
23362.122.0.0/1862.122.0.1 to 62.122.63.25462.122.63.25516,382
23462.122.64.0/1862.122.64.1 to 62.122.127.25462.122.127.25516,382
23562.122.128.0/1862.122.128.1 to 62.122.191.25462.122.191.25516,382
23662.122.192.0/1862.122.192.1 to 62.122.255.25462.122.255.25516,382
23762.123.0.0/1862.123.0.1 to 62.123.63.25462.123.63.25516,382
23862.123.64.0/1862.123.64.1 to 62.123.127.25462.123.127.25516,382
23962.123.128.0/1862.123.128.1 to 62.123.191.25462.123.191.25516,382
24062.123.192.0/1862.123.192.1 to 62.123.255.25462.123.255.25516,382
24162.124.0.0/1862.124.0.1 to 62.124.63.25462.124.63.25516,382
24262.124.64.0/1862.124.64.1 to 62.124.127.25462.124.127.25516,382
24362.124.128.0/1862.124.128.1 to 62.124.191.25462.124.191.25516,382
24462.124.192.0/1862.124.192.1 to 62.124.255.25462.124.255.25516,382
24562.125.0.0/1862.125.0.1 to 62.125.63.25462.125.63.25516,382
24662.125.64.0/1862.125.64.1 to 62.125.127.25462.125.127.25516,382
24762.125.128.0/1862.125.128.1 to 62.125.191.25462.125.191.25516,382
24862.125.192.0/1862.125.192.1 to 62.125.255.25462.125.255.25516,382
24962.126.0.0/1862.126.0.1 to 62.126.63.25462.126.63.25516,382
25062.126.64.0/1862.126.64.1 to 62.126.127.25462.126.127.25516,382
25162.126.128.0/1862.126.128.1 to 62.126.191.25462.126.191.25516,382
25262.126.192.0/1862.126.192.1 to 62.126.255.25462.126.255.25516,382
25362.127.0.0/1862.127.0.1 to 62.127.63.25462.127.63.25516,382
25462.127.64.0/1862.127.64.1 to 62.127.127.25462.127.127.25516,382
25562.127.128.0/1862.127.128.1 to 62.127.191.25462.127.191.25516,382
25662.127.192.0/1862.127.192.1 to 62.127.255.25462.127.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses